<?xml version="1.0"?>
<document>

  <properties>
    <title>Simian Plugin</title>
    <author email="aslak@thoughtworks.net">Aslak Hellesoy</author>
  </properties>

  <body>
    <section name="Simian Plugin">
      <p>
        This plugin generates xdoc documentation containing a 
        <a href="http://www.redhillconsulting.com.au/mimeo.html">Simian</a> 
        (Similarity Analyser) report. Simian identifies duplicated lines in 
        Java and C# source code. Ie. lines of code that occur more than once 
        across an entire source tree. 
      </p>
      <p>
        Duplicate code should always be refactored. It is therefore recommended
        that the maven.simian.failonduplication property be set to true and that the 
        maven.simian.linecount property be small. This will make it easier
        to always have duplicates factored out in the codebase.
      </p>
    </section>
 </body>
</document>
